`legit` fails with trace right from the start on 14.04

Bug #1412879 reported by anatoly techtonik on 2015-01-20
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
legit (Ubuntu)
High
Unassigned

Bug Description

$ legit
Traceback (most recent call last):
  File "/usr/bin/legit", line 9, in <module>
    load_entry_point('legit==0.1.1', 'console_scripts', 'legit')()
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 351, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2363, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2088, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.7/dist-packages/legit/cli.py", line 15, in <module>
    from clint import args
ImportError: cannot import name args

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: legit 0.1.1-3
ProcVersionSignature: Ubuntu 3.13.0-44.73-generic 3.13.11-ckt12
Uname: Linux 3.13.0-44-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.14.1-0ubuntu3.6
Architecture: i386
CurrentDesktop: Unity
Date: Tue Jan 20 19:54:08 2015
InstallationDate: Installed on 2012-03-12 (1044 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120301)
PackageArchitecture: all
SourcePackage: legit
UpgradeStatus: Upgraded to trusty on 2014-04-18 (276 days ago)

anatoly techtonik (techtonik) wrote :
Daniel Hahler (blueyed) wrote :
Changed in legit (Ubuntu):
status: New → Triaged
importance: Undecided → High
Daniel Hahler (blueyed) wrote :

The Debian/Ubuntu package has a patch already (debian/patches/fix_import_args), but apparently it does not match the version of clint (anymore):

    Index: legit-0.1.1/legit/cli.py
    ===================================================================
    --- legit-0.1.1.orig/legit/cli.py 2012-03-25 11:01:33.000000000 +0900
    +++ legit-0.1.1/legit/cli.py 2014-09-04 15:14:54.953516555 +0900
    @@ -12,7 +12,7 @@
     from time import sleep

     import clint.resources
    -from clint import args
    +from clint import Args
     from clint.eng import join as eng_join
     from clint.textui import colored, puts, columns

    @@ -21,6 +21,7 @@
     from .helpers import is_lin, is_osx, is_win
     from .scm import *

    +args = Args()

     def black(s):
         if settings.allow_black_foreground:

I suggest forwarding the bug to the Debian maintainer / bug tracker.

Apart from that, since the PR/fix mentioned above has been merged in Git (but
not released on pypi), you could install legit manually.

> I suggest forwarding the bug to the Debian maintainer / bug tracker.

How to do that?

> Apart from that, since the PR/fix mentioned above has been merged in Git (but
> not released on pypi), you could install legit manually.

I'd better install from PyPI. Is there a plan to release there? It
might be needed for packaging too.

Jakukyo Friel (weakish) wrote :

>> I suggest forwarding the bug to the Debian maintainer / bug tracker.

> How to do that?

Via the program `reportbug`.

Or manually via email: https://www.debian.org/Bugs/Reporting

anatoly techtonik (techtonik) wrote :

It is weird that Ubuntu and Debian doesn't have upsteam / downstream bug tracker integration and require people to waste their time twice to forward the issues. Anyway, I am not using it anymore.

anatoly techtonik (techtonik) wrote :

This is fixed upstream in Debian. How to make 0.1.1-4 appear in Ubuntu?

http://metadata.ftp-master.debian.org/changelogs//main/l/legit/legit_0.1.1-4_changelog

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers